
/* eax */
TEXT	geteax(SB),$0

	PUSHL	BX
	MOVL	l+0(FP),BX
	MOVL	AX,(BX)
	POPL 	BX
	RET

TEXT	seteax(SB),$0

	MOVL	arg1+0(FP),AX
	RET

/* ebp */
TEXT	getebp(SB),$0

	PUSHL	BX
	MOVL	l+0(FP),BX
	MOVL	BP,(BX)
	POPL	BX
	RET

TEXT	setebp(SB),$0

	MOVL	arg1+0(FP),BP
	RET

/* ebx */
TEXT	getebx(SB),$0

	PUSHL	AX
	MOVL	l+0(FP),AX
	MOVL	BX,(AX)
	POPL 	AX
	RET

TEXT	setebx(SB),$0

	MOVL	arg1+0(FP),BX
	RET

/* ecx */
TEXT	getecx(SB),$0

	PUSHL	AX
	MOVL	l+0(FP),AX
	MOVL	CX,(AX)
	POPL 	AX
	RET

TEXT	setecx(SB),$0

	MOVL	arg1+0(FP),CX
	RET

/* edi */
TEXT	getedi(SB),$0

	PUSHL	AX
	MOVL	l+0(FP),AX
	MOVL	DI,(AX)
	POPL 	AX
	RET

TEXT	setedi(SB),$0

	MOVL	arg1+0(FP),DI
	RET

/* edx */
TEXT	getedx(SB),$0

	PUSHL	AX
	MOVL	l+0(FP),AX
	MOVL	DX,(AX)
	POPL 	AX
	RET

TEXT	setedx(SB),$0

	MOVL	arg1+0(FP),DX
	RET

/* esi */
TEXT	getesi(SB),$0

	PUSHL	AX
	MOVL	l+0(FP),AX
	MOVL	SI,(AX)
	POPL 	AX
	RET

TEXT	setesi(SB),$0

	MOVL	arg1+0(FP),SI
	RET

/* esp */
TEXT	getesp(SB),$0

	PUSHL	AX
	MOVL	l+0(FP),AX
	MOVL	SP,(AX)
	POPL 	AX
	RET

TEXT	setesp(SB),$0

	MOVL	arg1+0(FP),SP
	RET
